﻿@{
    ViewBag.Title = "Reminder Email";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="~/Content/plugins/autoNumeric-1.9.18.js"></script>

<script type="text/javascript">



    $(function () {
        $('#txtemailnotif1').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '99' });
        $('#txtemailnotif2').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '99' });
        $('#txtemailnotif3').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '99' });
        $('#txtemailnotif4').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '99' });
        $('#txtemailnotif5').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '99' });

        $('#dtDueDate').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });

        $('#dtiDueDate').click(function () {
            $('#dtDueDate').datepicker('show');
        });

        $('#dtDueDate2').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });

        $('#dtiDueDate2').click(function () {
            $('#dtDueDate2').datepicker('show');
        });

        $('#dtDueDate3').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });

        $('#dtiDueDate3').click(function () {
            $('#dtDueDate3').datepicker('show');
        });

        $('#dtDueDate4').datepicker({
            "autoclose": true,
            format: "dd-mm-yyyy"
        });

        $('#dtiDueDate4').click(function () {
            $('#dtDueDate4').datepicker('show');
        });
    });

    function loadDetail() {
        var GetDetail = '@Url.Action("GetReminderEmailDetail", "ReminderEmail")';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtemailnotif1").value = GetDetail.emailnotif1;
                    document.getElementById("txtemailnotif2").value = GetDetail.emailnotif2;
                    document.getElementById("txtemailnotif3").value = GetDetail.emailnotif3;
                    document.getElementById("txtemailnotif4").value = GetDetail.emailnotif4;
                    document.getElementById("txtemailnotif5").value = GetDetail.emailnotif5;
                    document.getElementById("dtDueDate").value = GetDetail.duedate;
                    document.getElementById("dtDueDate2").value = GetDetail.duedate2;
                    document.getElementById("dtDueDate3").value = GetDetail.duedate3;
                    document.getElementById("dtDueDate4").value = GetDetail.duedate4;
                    document.getElementById("txtemailformat").value = GetDetail.emailformat;
                    document.getElementById("txtemailformat2").value = GetDetail.emailformat2;
                    document.getElementById("txtemailformat3").value = GetDetail.emailformat3;
                    document.getElementById("txtemailformat4").value = GetDetail.emailformat4;

                }
            },
            error: function () {

            }
        });
    }

    $(document).ready(function () {

        loadDetail();

        $("#btnSave").click(function () {

            //confirmation
            bootbox.confirm({
                title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                message: 'Are you sure you want to save this settings. <br>If not, click Cancel',
                buttons: {
                    'cancel': {
                        label: '<i class="fa fa-times"></i> Cancel',
                        className: 'btn-default pull-left'
                    },
                    'confirm': {
                        label: '<i class="fa fa-check"></i> Yes, Continue save',
                        className: 'btn-primary pull-right'
                    }
                },
                callback: function (result) {
                    if (result) {
                        
                        var ReminderEmailList = [
                               {
                                   emailnotif1: $('#txtemailnotif1').val(),
                                   emailnotif2: $('#txtemailnotif2').val(),
                                   emailnotif3: $('#txtemailnotif3').val(),
                                   emailnotif4: $('#txtemailnotif4').val(),
                                   emailnotif5: $('#txtemailnotif5').val(),
                                   duedate: $('#dtDueDate').val(),
                                   duedate2: $('#dtDueDate2').val(),
                                   duedate3: $('#dtDueDate3').val(),
                                   duedate4: $('#dtDueDate4').val(),
                                   emailformat: $('#txtemailformat').val(),
                                   emailformat2: $('#txtemailformat2').val(),
                                   emailformat3: $('#txtemailformat3').val(),
                                   emailformat4: $('#txtemailformat4').val(),
                               }
                        ];

                        ReminderEmailList.push();

                        var formData = new FormData();
                        formData.append("ReminderEmailList", JSON.stringify(ReminderEmailList));


                        //Save Process
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("SaveReminderEmail", "ReminderEmail")',
                            data: formData,
                            dataType: 'json',
                            contentType: false,
                            processData: false,
                            //beforeSend: function () {
                            //    //$("#loader").show();
                            //},
                            success: function (data) {
                                bootbox.dialog({
                                    message: data.message,
                                    title: data.title,
                                    buttons: {
                                        main: {
                                            label: "<i class='fa fa-check'></i> Ok",
                                            className: "btn-primary",
                                            callback: function () {
                                                if (result) {
                                                    if (data.status) {
                                                        window.location.href = '@Url.Action("ReminderEmail", "ReminderEmail")';
                                                    }
                                                }
                                            }
                                        }
                                    }
                                });
                            }
                        });

                    }
                }
            });


        });


    });

</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Email Reminder

        </div>
        <div class="panel-body">

            <!--Email Notif 1-->
            <div class="row">
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif1">Email Notif 1</label></div>
                <div class="col-sm-1"><input class="form-control" type="text" id="txtemailnotif1" /></div>
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif1">days</label></div>
            </div>
            <!--Email Notif 2-->
            <div class="row">
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif2">Email Notif 2</label></div>
                <div class="col-sm-1"><input class="form-control" type="text" id="txtemailnotif2" /></div>
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif2">days</label></div>
            </div>
            <!--Email Notif 3-->
            <div class="row">
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif3">Email Notif 3</label></div>
                <div class="col-sm-1"><input class="form-control" type="text" id="txtemailnotif3" /></div>
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif3">days</label></div>
            </div>
            <!--Email Notif 4-->
            <div class="row">
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif4">Email Notif 4</label></div>
                <div class="col-sm-1"><input class="form-control" type="text" id="txtemailnotif4" /></div>
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif4">days</label></div>
            </div>
            <!--Email Notif 5-->
            <div class="row">
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif5">Email Notif 5</label></div>
                <div class="col-sm-1"><input class="form-control" type="text" id="txtemailnotif5" /></div>
                <div class="col-sm-2"><label class="label-def-margin" for="txtemailnotif5">days</label></div>
            </div>
            
            <hr>
            <!--Outstanding Department-->
            <p>Outstanding Department</p>
            
            <!--Due Date-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="dtDueDate">Due Date</label></div>
                <div class="col-sm-3">
                    <div class='input-group date'>
                        <input id='dtDueDate' name="DueDate" placeholder="dd-mm-yyyy" readonly="readonly" data-format="dd-MM-yyyy" type='text' class="form-control" />
                        <span class="input-group-addon" id="dtiDueDate">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                </div>
            </div>

            <!--Email Format-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtemailformat">Email Format</label></div>
                <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtemailformat"></textarea></div>
            </div>
            <hr>
            <!--Submit Risk-->
            <p>Submit Risk</p>

            <!--Due Date-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="dtDueDate2">Due Date</label></div>
                <div class="col-sm-3">
                    <div class='input-group date'>
                        <input id='dtDueDate2' name="DueDate2" placeholder="dd-mm-yyyy" readonly="readonly" data-format="dd-MM-yyyy" type='text' class="form-control" />
                        <span class="input-group-addon" id="dtiDueDate2">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                </div>
            </div>

            <!--Email Format-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtemailformat2">Email Format</label></div>
                <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtemailformat2"></textarea></div>
            </div>
            <hr>
            <!--Risk Approval-->
            <p>Risk Approval</p>

            <!--Due Date-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="dtDueDate3">Due Date</label></div>
                <div class="col-sm-3">
                    <div class='input-group date'>
                        <input id='dtDueDate3' name="DueDate3" placeholder="dd-mm-yyyy" readonly="readonly" data-format="dd-MM-yyyy" type='text' class="form-control" />
                        <span class="input-group-addon" id="dtiDueDate3">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                </div>
            </div>

            <!--Email Format-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtemailformat3">Email Format</label></div>
                <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtemailformat3"></textarea></div>
            </div>
            <hr>
            <!--Reject Risk-->
            <p>Reject Risk</p>

            <!--Due Date-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="dtDueDate4">Due Date</label></div>
                <div class="col-sm-3">
                    <div class='input-group date'>
                        <input id='dtDueDate4' name="DueDate4" placeholder="dd-mm-yyyy" readonly="readonly" data-format="dd-MM-yyyy" type='text' class="form-control" />
                        <span class="input-group-addon" id="dtiDueDate4">
                            <span class="glyphicon glyphicon-calendar"></span>
                        </span>
                    </div>
                </div>
            </div>

            <!--Email Format-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtemailformat4">Email Format</label></div>
                <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtemailformat4"></textarea></div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
